#
# spec file for package rubygem-blankslate
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

Name:           rubygem-blankslate
Version:        3.1.3
Release:        lp151.2.1
%define mod_name blankslate
%define mod_full_name %{mod_name}-%{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  ruby-macros >= 5
BuildRequires:  %{ruby}
BuildRequires:  %{rubygem gem2rpm}
Url:            http://github.com/masover/blankslate
Source:         http://rubygems.org/gems/%{mod_full_name}.gem
Summary:        BlankSlate extracted from Builder
License:        MIT
Group:          Development/Languages/Ruby

%description
BlankSlate extracted from Builder.

%prep

%build

%install
%gem_install \
  --doc-files="MIT-LICENSE README" \
  -f

%gem_packages

%changelog
* Mon Oct 13 2014 coolo@suse.com
- adapt to new rubygem packaging
* Mon Jul 14 2014 coolo@suse.com
- updated to version 3.1.3
* Thu Sep 13 2012 coolo@suse.com
- updated to version 3.1.2
  * Included the to_xs arity patch needed for weird Rails compatibility
    issue.
  * Escaping newlines in attributes now.
  * Allow method caching
  * Ruby 1.9 compatiblity issues.
  * Applied patch from Thijs van der Vossen to allow UTF-8 encoded
    output when the encoding is UTF-8 and $KCODE is UTF8.
* Mon Feb  6 2012 fcastelli@suse.com
- update to 2.1.2.4
* Sun Aug  8 2010 dmacvicar@novell.com
- initial package for 2.1.2.3
